<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>resource-graph</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
  </head>
  <body>
    <h1 id="awesome-knowledge-graph-awesome">
      Awesome Knowledge Graph
      <a href="https://awesome.re"
        ><img src="https://awesome.re/badge.svg" alt="Awesome"
      /></a>
    </h1>
    <blockquote>
      <p>
        A curated list of Knowledge Graph related learning materials, databases,
        tools and other resources
      </p>
    </blockquote>
    <h2 id="contents">Contents</h2>
    <ul>
      <li>
        <a href="#infrastructure">Infrastructure</a>
        <ul>
          <li><a href="#graph-databases">Graph Databases</a></li>
          <li><a href="#triple-stores">Triple Stores</a></li>
          <li>
            <a href="#graph-computing-frameworks">Graph Computing Frameworks</a>
          </li>
          <li><a href="#graph-visualization">Graph Visualization</a></li>
          <li><a href="#languages">Languages</a></li>
          <li>
            <a href="#managed-hosting-services">Managed Hosting Services</a>
          </li>
        </ul>
      </li>
      <li>
        <a href="#knowledge-engineering">Knowledge Engineering</a>
        <ul>
          <li><a href="#knowledge-fusion">Knowledge Fusion</a></li>
        </ul>
      </li>
      <li>
        <a href="#knowledge-graph-dataset">Knowledge Graph Dataset</a>
        <ul>
          <li><a href="#general">General</a></li>
          <li><a href="#semantic-network">Semantic Network</a></li>
          <li><a href="#academic">Academic</a></li>
        </ul>
      </li>
      <li>
        <a href="#learning-materials">Learning Materials</a>
        <ul>
          <li>
            <a href="#official-documentations">Official Documentations</a>
          </li>
          <li><a href="#community-effort">Community Effort</a></li>
        </ul>
      </li>
    </ul>
    <h2 id="infrastructure">Infrastructure</h2>
    <h3 id="graph-databases">Graph Databases</h3>
    <ul>
      <li>
        <a href="https://bitnine.net/agensgraph/">AgensGraph</a> - multi-model
        graph database with SQL and Cypher support based on PostgreSQL
      </li>
      <li>
        <a href="https://www.arangodb.com/">ArangoDB</a> - highly available
        Multi-Model NoSQL database
      </li>
      <li>
        <a href="https://github.com/blazegraph/database">Blazegraph</a> - GPU
        accelerated graph database
      </li>
      <li>
        <a href="https://github.com/cayleygraph/cayley">Cayley</a> - open source
        database written in Go
      </li>
      <li>
        <a
          href="https://docs.microsoft.com/en-us/azure/cosmos-db/graph-introduction"
          >CosmosDB</a
        >
        - cloud-based multi-model database with support for TinkerPop3
      </li>
      <li>
        <a href="https://dgraph.io">Dgraph</a> - Fast, Transactional,
        Distributed Graph Database (open source, written in Go)
      </li>
      <li>
        <a href="https://www.datastax.com/products/datastax-enterprise-graph"
          >DSE Graph</a
        >
        - Graph layer on top of DataStax Enterprise (Cassandra, SolR, Spark)
      </li>
      <li>
        <a href="https://grakn.ai/">Grakn.AI</a> - a distributed
        hyper-relational database for knowledge-oriented systems, i.e. a
        distributed knowledge base
      </li>
      <li>
        <a href="https://github.com/google/graphd">Graphd</a> - the
        Metaweb/Freebase Graph Repository
      </li>
      <li>
        <a href="http://janusgraph.org">JanusGraph</a> - an open-source,
        distributed graph database with pluggable storage and indexing backends
      </li>
      <li>
        <a href="https://memgraph.com/">Memgraph</a> - High Performance,
        In-Memory, Transactional Graph Database
      </li>
      <li>
        <a href="http://tinkerpop.apache.org/docs/currentg/#neo4j-gremlin"
          >Neo4j</a
        >
        - OLTP graph database
      </li>
      <li>
        <a href="http://www.sparsity-technologies.com/#sparksee">Sparksee</a> -
        makes space and performance compatible with a small footprint and a fast
        analysis of large networks
      </li>
      <li>
        <a href="http://stardog.com/">Stardog</a> - RDF graph database with OLTP
        and OLAP support
      </li>
      <li>
        <a href="http://orientdb.com/orientdb/">OrientDB</a> - Distributed
        Multi-Model NoSQL Database with a Graph Database Engine
      </li>
      <li>
        <a href="https://www.tigergraph.com">TigerGraph</a> - a complete,
        distributed, parallel graph computing platform for enterprise,
        supporting web-scale data analytics in real-time.
      </li>
      <li>
        <a href="https://nebula-graph.io/">Nebula Graph</a> - A truly
        distributed, linear scalable, lightning-fast graph database, using
        SQL-like query language.
      </li>
      <li>
        <a href="https://github.com/hugegraph/hugegraph">HugeGraph</a> - An open
        source TinkerPop 3 compliant OLTP Graph Database with pluggable storage
        bakcend which is similar to JanusGraph. It also supports OLAP through
        Spark GraphX.
      </li>
    </ul>
    <h3 id="triple-stores">Triple Stores</h3>
    <ul>
      <li>
        <a href="https://franz.com/agraph/allegrograph/">AllegroGraph</a> -
        high-performance, persistent graph database that scales to billions of
        quads
      </li>
      <li>
        <a href="https://jena.apache.org/">Apache Jena</a> - open source Java
        framework for building Semantic Web and Linked Data applications
      </li>
      <li>
        <a href="http://rdf4j.org/">Eclipse RDF4J</a> - (formerly known as
        Sesame) is an open source Java framework for processing RDF data. This
        includes parsing, storing, inferencing and querying of/over such data.
        It offers an easy-to-use API that can be connected to all leading RDF
        storage solutions. It allows you to connect with SPARQL endpoints and
        create applications that leverage the power of linked data and Semantic
        Web.
      </li>
      <li>
        <a href="http://graphdb.ontotext.com/graphdb/">GraphDB</a> - enterprise
        ready Semantic Graph Database, compliant with W3C Standards
      </li>
      <li>
        <a href="https://virtuoso.openlinksw.com/">Virtuoso</a> - a “Data
        Junction Box” that drives enterprise and individual agility by deriving
        a Semantic Web of Linked Data from existing data silos
      </li>
      <li>
        <a href="https://github.com/amirouche/hoply/">Hoply</a> - explore bigger
        than RAM relational data in the comfort of Python.
      </li>
    </ul>
    <h3 id="graph-computing-frameworks">Graph Computing Frameworks</h3>
    <ul>
      <li>
        <a href="https://giraph.apache.org/">Apache Giraph</a> - an iterative
        graph processing system built for high scalability
      </li>
      <li>
        <a href="https://tinkerpop.apache.org/">Apache TinkerPop</a> - a graph
        computing framework for both graph databases (OLTP) and graph analytic
        systems (OLAP)
      </li>
      <li>
        <a href="https://spark.apache.org/graphx/">Apache Spark - GraphX</a> -
        Apache Spark’s API for graphs and graph-parallel computation
      </li>
      <li>
        <a href="https://github.com/tencent/plato">Tencent Plato</a> - a fast
        distributed graph computation and machine learning framework used by
        WeChat.
      </li>
    </ul>
    <h3 id="graph-visualization">Graph Visualization</h3>
    <ul>
      <li>
        <a href="https://github.com/antvis/g6">AntV G6</a> - Simple, easy and
        complete high performance graph visualization engine written in
        JavaScript, from Ant Financial
      </li>
      <li>
        <a href="https://gephi.org/">Gephi</a> - Graph visualization platform
        software runs on Windows, Mac and Linux.
      </li>
      <li>
        <a href="https://cambridge-intelligence.com/">KeyLines &amp; ReGraph</a>
        - Graph visualization tookits for JavaScript and React developer from
        Cambridge Intelligence.
      </li>
      <li>
        <a href="https://linkurio.us">Linkurious</a> - Linkurious is an
        enterprise ready on-premises graph visualization and analysis platform.
      </li>
    </ul>
    <h3 id="languages">Languages</h3>
    <ul>
      <li><a href="http://www.opencypher.org/">Cypher</a></li>
      <li><a href="https://tinkerpop.apache.org/gremlin.html">Gremlin</a></li>
      <li><a href="https://en.wikipedia.org/wiki/SPARQL">SPARQL</a></li>
      <li>
        <a href="https://docs.dgraph.io/query-language/">GraphQL+-</a> - The
        query language of Dgraph, which is based on Facebook’s GraphQL
      </li>
      <li>
        <a href="https://gql.today/">GQL</a> - An initiative to create a
        standard query language for property graph database, just like SQL for
        relational database.
      </li>
    </ul>
    <h3 id="managed-hosting-services">Managed Hosting Services</h3>
    <ul>
      <li>
        <a
          href="https://docs.microsoft.com/en-us/azure/cosmos-db/graph-introduction"
          >CosmosDB @ Microsoft</a
        >
        - Azure Cosmos DB is Microsoft’s globally distributed, multi-model
        (Key-value, Document, Column, Graph) database service.<br />
      </li>
      <li>
        <a href="https://www.compose.com/databases/janusgraph"
          >JanusGraph @ IBM Compose</a
        >
      </li>
      <li>
        <a
          href="https://cloud.google.com/solutions/running-janusgraph-with-bigtable"
          >JanusGraph @ Google Cloud Platform</a
        >
        - JanusGraph on Google Kubernetes Engine backed by Google Cloud Bigtable
      </li>
      <li>
        <a href="https://github.com/awslabs/dynamodb-janusgraph-storage-backend"
          >JanusGraph @ Amazon Web Services Labs</a
        >
        - The Amazon DynamoDB Storage Backend for JanusGraph
      </li>
      <li><a href="https://www.graphenedb.com/">Neo4j @ Graphene</a></li>
      <li>
        <a href="https://www.graphstory.com/">Neo4j @ Graph Story</a> -
        End-to-end Graph Database hosting for Community and Enterprise Neo4j
        with expert help for development
      </li>
      <li>
        <a href="https://aws.amazon.com/neptune/"
          >Neptune @ Amazon Web Services</a
        >
        - a fast, reliable, fully-managed graph database service that makes it
        easy to build and run applications that work with highly connected
        datasets
      </li>
      <li>
        <a href="https://www.huaweicloud.com/en-us/product/ges.html"
          >Graph Engine Service @ Huawei Cloud</a
        >
        - Fully-managed, distributed, at-scale graph query and analysis service
        that provides a visualized interactive analytics platform.
      </li>
      <li>
        <a href="https://www.aliyun.com/product/gdb"
          >Graph Database (beta) @ Aliyun (Alibaba Cloud)</a
        >
        - highly reliable and available property graph database that supports
        ACID and TinkerPop Gremlin query language.
      </li>
      <li>
        <a href="https://cloud.tencent.com/product/tkg"
          >Tencent Knowledge Graph @ Tencent Cloud</a
        >
        - One stop platform for Graph database, computing and visualization.
        Currently available in beta test and only in Chinese.
      </li>
    </ul>
    <h2 id="knowledge-engineering">Knowledge Engineering</h2>
    <ul>
      <li>
        <a
          href="https://www.mpi-inf.mpg.de/departments/databases-and-information-systems/research/yago-naga/"
          >YAGA-NAGA</a
        >
        - Harvesting, Searching, and Ranking Knowledge from the Web
      </li>
    </ul>
    <h3 id="knowledge-fusion">Knowledge Fusion</h3>
    <ul>
      <li>
        <a href="https://github.com/dedupeio/dedupe">Dedupe</a> - dedupe is a
        python library that uses machine learning to perform fuzzy matching,
        deduplication and entity resolution quickly on structured data.
      </li>
      <li>
        <a href="https://github.com/dice-group/LIMES">LIMES</a> - Link Discovery
        Framework for Metric Spaces.
      </li>
    </ul>
    <h2 id="knowledge-graph-dataset">Knowledge Graph Dataset</h2>
    <h3 id="general">General</h3>
    <ul>
      <li>
        <a href="https://babelnet.org/">BabelNet</a> - Both a
        <strong>multilingual encyclopedic dictionary</strong>, with
        lexicographic and encyclopedic coverage of terms, and a
        <strong>semantic network</strong> which connects concepts and named
        entities in a very large network of semantic relations, made up of about
        16 million entries, called Babel synsets. Each Babel synset represents a
        given meaning and contains all the synonyms which express that meaning
        in a range of different languages.
      </li>
      <li>
        <a href="https://www.wikidata.org/wiki/Wikidata:Main_Page">Wikidata</a>
        - Wikidata is a free, collaborative, multilingual, secondary database,
        collecting structured data to provide support for Wikipedia, Wikimedia
        Commons, the other wikis of the Wikimedia movement, and to anyone in the
        world.
      </li>
      <li>
        <a href="https://developers.google.com/knowledge-graph/"
          >Google Knowledge Graph</a
        >
        - Google’s Knowledge Graph has millions of entries that describe
        real-world entities like people, places, and things.
      </li>
      <li>
        <a href="https://wiki.dbpedia.org/">DBpedia</a> - DBpedia is a
        crowd-sourced community effort to extract structured content from the
        information created in various Wikimedia projects.
      </li>
      <li>
        <a href="https://xlore.org/">XLore</a> - A large-scale English-Chinese
        bilingual knowledge graph by structuring and integrating Chinese
        Wikipedia, English Wikipedia, French Wikipedia, and Baidu Baike.
      </li>
      <li>
        <a href="https://www.gdeltproject.org/">The GDELT Project</a> - The
        GDELT Project monitors the world’s broadcast, print, and web news from
        nearly every corner of every country in over 100 languages and
        identifies the people, locations, organizations, themes, sources,
        emotions, counts, quotes, images and events driving our global society
        every second of every day, creating a free open platform for computing
        on the entire world.
      </li>
      <li>
        <a href="http://yago-knowledge.org/">YAGO</a> - A huge semantic
        knowledge base, derived from
        <a href="http://en.wikipedia.org/">Wikipedia</a>,
        <a href="http://wordnet.princeton.edu/">WordNet</a> and
        <a href="http://www.geonames.org/">GeoNames</a>. Currently, YAGO has
        knowledge of more than 10 million entities (like persons, organizations,
        cities, etc.) and contains more than 120 million facts about these
        entities. The source code of YAGO is in this Github
        <a href="https://github.com/yago-naga/yago3">repo</a>.
      </li>
      <li>
        <a href="http://zhishi.me/">Zhishi.me</a> - Knowledge Graph data
        extracted from the largest Chinese encyclopedias,
        <a href="https://baike.baidu.com/">Baidu Baike</a>,
        <a href="https://www.baike.com/">Hudong Baike</a> and
        <a href="https://zh.wikipedia.org/">Chinese Wikipedia</a>.
      </li>
    </ul>
    <h3 id="semantic-network">Semantic Network</h3>
    <ul>
      <li>
        <a href="http://conceptnet.io/">ConceptNet</a> - ConceptNet is a
        freely-available semantic network, designed to help computers understand
        the meanings of words that people use.
      </li>
      <li>
        <a href="https://concept.research.microsoft.com/"
          >Microsoft Concept Graph</a
        >
        - For Short Text Understanding
      </li>
      <li>
        <a href="https://openhownet.thunlp.org">OpenHowNet</a> - An Open
        Sememe-based Lexical Knowledge Base in Chinese.
      </li>
      <li>
        <a href="http://wordnet.princeton.edu/">WordNet</a> - A free large
        lexical database of English from Princeton University.
      </li>
    </ul>
    <h3 id="academic">Academic</h3>
    <ul>
      <li>
        <a href="https://www.aminer.cn/">AMiner</a> - Aminer aims to provide
        comprehensive search and mining services for researcher social networks.
      </li>
      <li>
        <a href="https://academic.microsoft.com/">Microsoft Academic</a> -
        Microsoft Academic (MA) employs advances in machine learning, semantic
        inference and knowledge discovery to help you explore scholarly
        information in more powerful ways than ever before.
      </li>
    </ul>
    <h2 id="learning-materials">Learning Materials</h2>
    <h3 id="official-documentations">Official Documentations</h3>
    <ul>
      <li>
        <a href="https://neo4j.com/developer/cypher-query-language/">Cypher</a>
        - reference documentation
      </li>
      <li>
        <a href="http://tinkerpop.apache.org/docs/current/reference/#traversal"
          >Gremlin</a
        >
        - reference documentation
      </li>
    </ul>
    <h3 id="community-effort">Community Effort</h3>
    <ul>
      <li>
        <a href="https://github.com/krlawrence/graph">Graph Book</a> -
        TinkerPop3 centric book written by
        <a href="https://twitter.com/gfxman">Kelvin R. Lawrence</a>
      </li>
      <li>
        <a href="http://sql2gremlin.com/">SQL2Gremlin</a> - transition from SQL
        to Gremlin by <a href="https://twitter.com/dkuppitz">Daniel Kuppitz</a>
      </li>
      <li>
        <a href="http://www.doanduyhai.com/blog/?p=13460"
          >The Gremlin Compendium</a
        >
        - minimum survival kit for any Gremlin user, 10 blog post series by
        <a href="https://twitter.com/doanduyhai">Doan DuyHai</a>
      </li>
    </ul>
    <h2 id="conferences">Conferences</h2>
    <ul>
      <li>
        <a href="http://graphconnect.com/">Graph Connect</a> - powered by Neo4j
      </li>
      <li>
        <a href="http://graphday.com/">Graph Day</a> - an Independent Graph
        Conference from the Data Day folks
      </li>
    </ul>
  </body>
</html>
